<template src="./template.html"></template>

<script lang="ts">
import {
  Component,
  getModule,
  Prop,
  Vue,
  Watch,
} from "nuxt-property-decorator";
import { api } from "~/common/constaint";
import { redirectPage } from "~/utils/apiHanlers";
import { apiErrorHandler } from "~/utils/apiHanlers";
@Component({
  components: {
    EmptyData: () => import("@/components/Utils/EmptyData/index.vue"),
  },
})
export default class RevenueDomainComponent extends Vue {
  get revenueTab() {
    return this.$store.state.home.revenueTab;
  }
  get tab() {
    return this.$store.state.home.tab;
  }

  set tab(value: number) {
    this.$store.commit("home/setTab", value);
  }
  get listRevenueDomain() {
    return this.$store.state.home.listRevenueDomain;
  }

  get loadingRevenueTable() {
    return this.$store.state.home.loadingRevenueTable;
  }
  sortPurchase = false;
  sortRevenueTotal = false;
  sortRevenue = false;
  sortView = false;
  sortAddToCart = false;
  sortCheckout = false;
  sortProductCost = false;
  sortRefund = false;
  sortAov = false;
  sortPcre = false;
  sortGoCheckout = false;

  onSortTableLowToHigh(insert: string) {
    this.$store.commit("home/onSort", {
      key: insert,
      tab: this.tab,
      sortType: "lowToHigh",
      ctx: this,
    });
    this.checkValueSort(insert);
  }

  checkValueSort(insert: string) {
    this.sortGoCheckout = insert === "goCheckout";
    this.sortAov = insert === "aov";
    this.sortRefund = insert === "refund";
    this.sortRevenueTotal = insert === "revenueTotal";
    this.sortView = insert === "view";
    this.sortAddToCart = insert === "addToCart";
    this.sortCheckout = insert === "checkout";
    this.sortRevenue = insert === "revenue";
    this.sortPurchase = insert === "purchase";
    this.sortProductCost = insert === "productCost";
    this.sortPcre = insert === "pc/re";
  }

  onSortTableHightToLow(insert: string) {
    this.$store.commit("home/onSort", {
      key: insert,
      tab: this.tab,
      sortType: "hightToLow",
      ctx: this,
    });
    if (insert === "goCheckout") {
      this.sortGoCheckout = false;
    }
    if (insert === "revenueTotal") {
      this.sortRevenueTotal = false;
    }
    if (insert == "view") {
      this.sortView = false;
    }
    if (insert == "addToCart") {
      this.sortAddToCart = false;
    }
    if (insert == "checkout") {
      this.sortCheckout = false;
    }
    if (insert == "revenue") {
      this.sortRevenue = false;
    }
    if (insert == "purchase") {
      this.sortPurchase = false;
    }
    if (insert == "productCost") {
      this.sortProductCost = false;
    }
    if (insert === "refund") {
      this.sortRefund = false;
    }
    if (insert === "aov") {
      this.sortAov = false;
    }
    if (insert === "pc/re") {
      this.sortPcre = false;
    }
  }
}
</script>

<style lang="scss" scoped>
td,
th {
  border: 1px solid #f1f5f9;
}
td {
  padding: 16px !important;
}
p {
  margin-bottom: 0;
}
</style>
